tigase.server.sreceiver

## Class NewsDistributor

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.RepoRosterTask
    - - tigase.server.sreceiver.NewsDistributor

- All Implemented Interfaces:
    ReceiverTaskIfc

      public class NewsDistributor
      extends RepoRosterTask

  Simple news distributor task. Created: Fri May 11 08:53:16 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsDistributor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHelp()` `getHelp` method returns task help information.
    `String` | `getType()` `getType` method returns the task type name.

    - ### Methods inherited from class tigase.server.sreceiver.RepoRosterTask

      `addToRoster, destroy, loadRoster, removeFromRoster, setParams, setRosterItemAdmin, setRosterItemModerationAccepted, setRosterItemOwner, setRosterItemSubscribed`

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addOutPacket, addToRoster, getDefaultParams, getDescription, getInstance, getJID, getParams, getRoster, getRosterItem, getStatistics, getStats, init, isAdmin, isAllowedToPost, isAllowedToSubscribe, processMessage, processPacket, removeSubscribers, setJID, setRosterItemOnline, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsDistributor

          public NewsDistributor()

  - ### Method Detail

    - #### getType

          public String getType()

      Description copied from interface: `ReceiverTaskIfc`
      `getType` method returns the task type name. This name is displayed on the list of all tasks available for creation. This is not a nick name of created task this is something more like "Drupal forums connector" or "Interest group". Like a Java class name is unique in JVM the task name must be also inique for `StanzaReceiver.` Look at task nick name for more details.
      Returns:
        a `String` value of the task name.

    - #### getHelp

          public String getHelp()

      Description copied from interface: `ReceiverTaskIfc`
      `getHelp` method returns task help information. This general information about tasks abilties so when the user selects task for creation he might know what the task is about. This is more like class description rather then instance description.
      Returns:
        a `String` value of task class help information.

Copyright © 2022 "Tigase, Inc.". All rights reserved.